Name:           python-webargs
Version:        8.2.0
Release:        1%{?dist}
Summary:        Declarative parsing and validation of HTTP request objects, with built-in support for popular web frameworks, including Flask, Django, Bottle, Tornado, Pyramid, Falcon, and aiohttp.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/marshmallow-code/webargs
Source:         %{pypi_source webargs}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-aiohttp
BuildRequires:  python3-bottle
BuildRequires:  python3-falcon
BuildRequires:  python3-flask
BuildRequires:  python3-webob
BuildRequires:  python3-pyramid
BuildRequires:  python3-pytest
BuildRequires:  python3-webtest
BuildRequires:  python3-tornado


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'webargs' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-webargs
Summary:        %{summary}

%description -n python3-webargs %_description


%prep
%autosetup -p1 -n webargs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-webargs -f %{pyproject_files}


%changelog
* Fri Mar 03 2023 Jakub Kadlcik <frostyx@email.cz> - 8.2.0-1
- Initial package
